dbXML API

## org.xmldb.api.reference.modules
Class TransactionServiceImpl

    java.lang.Object
      |
      +--org.xmldb.api.sdk.SimpleConfigurable
            |
            +--org.xmldb.api.reference.modules.TransactionServiceImpl

All Implemented Interfaces:
  Configurable, Service, TransactionService

public class TransactionServiceImpl
extends SimpleConfigurable
implements TransactionService

Provides the ability to bundle `Collection` operations into a transaction.

Note: This interface needs much better definition

Constructor Summary
`TransactionServiceImpl()`

Method Summary
`void` `begin()` Begin the transaction
`void` `commit()` Commit the transaction
`java.lang.String` `getName()` Returns the name associated with the Configurable object.
`java.lang.String` `getVersion()` Gets the Version attribute of the Service object
`void` `rollback()` Rollback the transaction
`void` `setCollection(Collection col)` Sets the Collection attribute of the Service object

Methods inherited from class org.xmldb.api.sdk.SimpleConfigurable
`getProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### TransactionServiceImpl

    public TransactionServiceImpl()

Method Detail

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Returns the name associated with the Configurable object.
  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Gets the Version attribute of the Service object
  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    public void setCollection(Collection col)
                       throws XMLDBException

  Sets the Collection attribute of the Service object
  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### begin

    public void begin()
               throws XMLDBException

  Begin the transaction
  Specified by:
    `begin` in interface `TransactionService`
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### commit

    public void commit()
                throws XMLDBException

  Commit the transaction
  Specified by:
    `commit` in interface `TransactionService`
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### rollback

    public void rollback()
                  throws XMLDBException

  Rollback the transaction
  Specified by:
    `rollback` in interface `TransactionService`
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved